Imports EgtWPFLib5

Module Map

   Private m_refMainWindowVM As MainWindowVM
   Private m_refMyStatusBarVM As MyStatusBarVM
   'Private m_refProjManagerVM As ProjManagerVM
   Private m_refSupervisorManagerVM As SupervisorManagerVM
   Private m_refProjectVM As ProjectVM
   Private m_refMainMenuVM As MainMenuVM
   Private m_refMachinePanelVM As MachinePanelVM
   Private m_refMyMachGroupPanelVM As MyMachGroupPanelVM
   Private m_refLeftPanelVM As LeftPanelVM
   Private m_refMachCommandMessagePanelVM As MachCommandMessagePanelVM
   Private m_refAxesPanelVM As AxesPanelVM
   'Private m_refBottomPanelVM As BottomPanelVM
   'Private m_refShowBeamPanelVM As ShowBeamPanelVM
   Private m_refConfigurationPageVM As ConfigurationPageVM
   Private m_refRawPartListVM As RawPartListVM
   'Private m_refWarehouseWndVM As WarehouseWndVM
   'Private m_refRawPartTabVM As RawPartTabVM
   'Private m_refNestingTabVM As NestingTabVM
   'Private m_refMachiningTabVM As MachiningTabVM
   'Private m_refSplitModeVM As SplitModeVM
   'Private m_refMoveRawModeVM As MoveRawModeVM
   'Private m_refSimulTabVM As SimulTabVM
   Private m_refMachManaging As MachManaging
   Private m_refCALCPanelVM As CALCPanelVM
   Private m_refSupervisorMachGroupPanelVM As SupervisorMachGroupPanelVM
   Private m_refPartInRawPartListVM As PartInRawPartListVM
   Private m_refFeatureInPartInRawPartListVM As FeatureInPartInRawPartListVM
   Private m_refMDIPageVM As MDIPageVM
   Private m_refMachineLogPageVM As MachineLogPageVM

#Region "Get"

   Public ReadOnly Property refMainWindowVM As MainWindowVM
      Get
         Return m_refMainWindowVM
      End Get
   End Property

   Public ReadOnly Property refMyStatusBarVM As MyStatusBarVM
      Get
         Return LibMap.refStatusBarVM
      End Get
   End Property

   'Public ReadOnly Property refProjManagerVM As ProjManagerVM
   '   Get
   '      Return m_refProjManagerVM
   '   End Get
   'End Property
   Public ReadOnly Property refSupervisorManagerVM As SupervisorManagerVM
      Get
         Return m_refSupervisorManagerVM
      End Get
   End Property

   Public ReadOnly Property refProjectVM As ProjectVM
      Get
         Return m_refProjectVM
      End Get
   End Property

   Public ReadOnly Property refSceneHostVM As SceneHostVM
      Get
         Return LibMap.refSceneHostVM
      End Get
   End Property

   Public ReadOnly Property refShowPanelVM As ShowPanelVM
      Get
         Return LibMap.refShowPanelVM
      End Get
   End Property

   Public ReadOnly Property refMainMenuVM As MainMenuVM
      Get
         Return m_refMainMenuVM
      End Get
   End Property

   Public ReadOnly Property refMachinePanelVM As MachinePanelVM
      Get
         Return m_refMachinePanelVM
      End Get
   End Property

   Public ReadOnly Property refLeftPanelVM As LeftPanelVM
      Get
         Return m_refLeftPanelVM
      End Get
   End Property

   Public ReadOnly Property refMachGroupPanelVM As MyMachGroupPanelVM
      Get
         Return m_refMyMachGroupPanelVM
      End Get
   End Property

   Public ReadOnly Property refMachCommandMessagePanelVM As MachCommandMessagePanelVM
      Get
         Return m_refMachCommandMessagePanelVM
      End Get
   End Property

   Public ReadOnly Property refAxesPanelVM As AxesPanelVM
      Get
         Return m_refAxesPanelVM
      End Get
   End Property

   Public ReadOnly Property refCALCPanelVM As CALCPanelVM
      Get
         Return m_refCALCPanelVM
      End Get
   End Property

   Public ReadOnly Property refSupervisorMachGroupPanelVM As SupervisorMachGroupPanelVM
      Get
         Return m_refSupervisorMachGroupPanelVM
      End Get
   End Property

   'Public ReadOnly Property refBottomPanelVM As BottomPanelVM
   '   Get
   '      Return m_refBottomPanelVM
   '   End Get
   'End Property

   'Public ReadOnly Property refShowBeamPanelVM As ShowBeamPanelVM
   '   Get
   '      Return m_refShowBeamPanelVM
   '   End Get
   'End Property

   Public ReadOnly Property refConfigurationPageVM As ConfigurationPageVM
      Get
         Return m_refConfigurationPageVM
      End Get
   End Property

   Public ReadOnly Property refRawPartListVM As RawPartListVM
      Get
         Return m_refRawPartListVM
      End Get
   End Property

   'Public ReadOnly Property refWarehouseWndVM As WarehouseWndVM
   '   Get
   '      Return m_refWarehouseWndVM
   '   End Get
   'End Property

   'Public ReadOnly Property refOptionPanelVM As OptionPanelVM
   '   Get
   '      Return m_refOptionPanelVM
   '   End Get
   'End Property

   'Public ReadOnly Property refRawPartTabVM As RawPartTabVM
   '   Get
   '      Return m_refRawPartTabVM
   '   End Get
   'End Property

   'Public ReadOnly Property refNestingTabVM As NestingTabVM
   '   Get
   '      Return m_refNestingTabVM
   '   End Get
   'End Property

   'Public ReadOnly Property refMachiningTabVM As MachiningTabVM
   '   Get
   '      Return m_refMachiningTabVM
   '   End Get
   'End Property

   'Public ReadOnly Property refSplitModeVM As SplitModeVM
   '   Get
   '      Return m_refSplitModeVM
   '   End Get
   'End Property

   'Public ReadOnly Property refMoveRawModeVM As MoveRawModeVM
   '   Get
   '      Return m_refMoveRawModeVM
   '   End Get
   'End Property

   'Public ReadOnly Property refSimulTabVM As SimulTabVM
   '   Get
   '      Return m_refSimulTabVM
   '   End Get
   'End Property

   Public ReadOnly Property refFeatureInPartInRawPartListVM As FeatureInPartInRawPartListVM
      Get
         Return m_refFeatureInPartInRawPartListVM
      End Get
   End Property

   Public ReadOnly Property refPartInRawPartListVM As PartInRawPartListVM
      Get
         Return m_refPartInRawPartListVM
      End Get
   End Property

   Public ReadOnly Property refMachManaging As MachManaging
      Get
         Return m_refMachManaging
      End Get
   End Property

   Public ReadOnly Property refMDIPageVM As MDIPageVM
      Get
         Return m_refMDIPageVM
      End Get
   End Property

   Public ReadOnly Property refMachineLogPageVM As MachineLogPageVM
      Get
         Return m_refMachineLogPageVM
      End Get
   End Property

#End Region    ' Get

#Region "Set"

   Friend Function SetRefMyStatusBarVM(StatusBarVM As StatusBarVM) As Boolean
      LibMap.SetRefStatusBarVM(StatusBarVM)
      Return Not IsNothing(LibMap.refStatusBarVM)
   End Function

   'Friend Function SetRefProjManagerVM(ProjManagerVM As ProjManagerVM) As Boolean
   '   m_refProjManagerVM = ProjManagerVM
   '   Return Not IsNothing(m_refProjManagerVM)
   'End Function

   Friend Function SetRefSupervisorManagerVM(SupervisorManagerVM As SupervisorManagerVM) As Boolean
      m_refSupervisorManagerVM = SupervisorManagerVM
      Return Not IsNothing(m_refSupervisorManagerVM)
   End Function

   Friend Function SetRefProjectVM(ProjectVM As ProjectVM) As Boolean
      m_refProjectVM = ProjectVM
      Return Not IsNothing(m_refProjectVM)
   End Function

   Friend Function SetRefMainMenuVM(MainMenuVM As MainMenuVM) As Boolean
      m_refMainMenuVM = MainMenuVM
      Return Not IsNothing(m_refMainMenuVM)
   End Function

   Friend Function SetRefSceneHostVM(SceneHostVM As SceneHostVM) As Boolean
      LibMap.SetRefSceneHostVM(SceneHostVM)
      Return Not IsNothing(LibMap.refSceneHostVM)
   End Function

   Friend Function SetRefShowPanelVM(ShowPanelVM As ShowPanelVM) As Boolean
      LibMap.SetRefShowPanelVM(ShowPanelVM)
      Return Not IsNothing(LibMap.refShowPanelVM)
   End Function

   Friend Function SetRefMachinePanelVM(MachinePanelVM As MachinePanelVM) As Boolean
      m_refMachinePanelVM = MachinePanelVM
      Return Not IsNothing(m_refMachinePanelVM)
   End Function

   Friend Function SetRefLeftPanelVM(LeftPanelVM As LeftPanelVM) As Boolean
      m_refLeftPanelVM = LeftPanelVM
      Return Not IsNothing(m_refLeftPanelVM)
   End Function

   Friend Function SetRefMachGroupPanelVM(MachGroupPanelVM As MyMachGroupPanelVM) As Boolean
      m_refMyMachGroupPanelVM = MachGroupPanelVM
      Return Not IsNothing(m_refMyMachGroupPanelVM)
   End Function

   Friend Function SetRefMachCommandMessagePanelVM(MachCommandMessagePanelVM As MachCommandMessagePanelVM) As Boolean
      m_refMachCommandMessagePanelVM = MachCommandMessagePanelVM
      Return Not IsNothing(m_refMachCommandMessagePanelVM)
   End Function

   Friend Function SetRefAxesPanelVM(AxesPanelVM As AxesPanelVM) As Boolean
      m_refAxesPanelVM = AxesPanelVM
      Return Not IsNothing(m_refAxesPanelVM)
   End Function

   Friend Function SetRefCALCPanelVM(CALCPanelVM As CALCPanelVM) As Boolean
      m_refCALCPanelVM = CALCPanelVM
      Return Not IsNothing(m_refCALCPanelVM)
   End Function

   Friend Function SetRefSupervisorMachGroupPanelVM(SupervisorMachGroupPanelVM As SupervisorMachGroupPanelVM) As Boolean
      m_refSupervisorMachGroupPanelVM = SupervisorMachGroupPanelVM
      Return Not IsNothing(m_refSupervisorMachGroupPanelVM)
   End Function

   'Friend Function SetRefBottomPanelVM(BottomPanelVM As BottomPanelVM) As Boolean
   '   m_refBottomPanelVM = BottomPanelVM
   '   Return Not IsNothing(m_refBottomPanelVM)
   'End Function

   'Friend Function SetRefShowBeamPanelVM(ShowBeamPanelVM As ShowBeamPanelVM) As Boolean
   '   m_refShowBeamPanelVM = ShowBeamPanelVM
   '   Return Not IsNothing(m_refShowBeamPanelVM)
   'End Function

   Friend Function SetRefConfigurationPageVM(ConfigurationPageVM As ConfigurationPageVM) As Boolean
      m_refConfigurationPageVM = ConfigurationPageVM
      Return Not IsNothing(m_refConfigurationPageVM)
   End Function

   Friend Function SetRefRawPartListVM(RawPartListVM As RawPartListVM) As Boolean
      m_refRawPartListVM = RawPartListVM
      Return Not IsNothing(m_refRawPartListVM)
   End Function

   'Friend Function SetRefWarehouseWndVM(WarehouseWndVM As WarehouseWndVM) As Boolean
   '   m_refWarehouseWndVM = WarehouseWndVM
   '   Return Not IsNothing(m_refWarehouseWndVM)
   'End Function

   'Friend Function SetRefOptionPanelVM(OptionPanelVM As OptionPanelVM) As Boolean
   '   m_refOptionPanelVM = OptionPanelVM
   '   Return Not IsNothing(m_refOptionPanelVM)
   'End Function

   'Friend Function SetRefRawPartTabVM(RawPartTabVM As RawPartTabVM) As Boolean
   '   m_refRawPartTabVM = RawPartTabVM
   '   Return Not IsNothing(m_refRawPartTabVM)
   'End Function

   'Friend Function SetRefNestingTabVM(NestingTabVM As NestingTabVM) As Boolean
   '   m_refNestingTabVM = NestingTabVM
   '   Return Not IsNothing(m_refNestingTabVM)
   'End Function

   'Friend Function SetRefMachiningTabVM(MachiningTabVM As MachiningTabVM) As Boolean
   '   m_refMachiningTabVM = MachiningTabVM
   '   Return Not IsNothing(m_refMachiningTabVM)
   'End Function

   'Friend Function SetRefSplitModeVM(SplitModeVM As SplitModeVM) As Boolean
   '   m_refSplitModeVM = SplitModeVM
   '   Return Not IsNothing(m_refSplitModeVM)
   'End Function

   'Friend Function SetRefMoveRawModeVM(MoveRawModeVM As MoveRawModeVM) As Boolean
   '   m_refMoveRawModeVM = MoveRawModeVM
   '   Return Not IsNothing(m_refMoveRawModeVM)
   'End Function

   'Friend Function SetRefSimulTabVM(SimulTabVM As SimulTabVM) As Boolean
   '   m_refSimulTabVM = SimulTabVM
   '   Return Not IsNothing(m_refSimulTabVM)
   'End Function

   Friend Function SetRefMachManaging(MachManaging As MachManaging) As Boolean
      m_refMachManaging = MachManaging
      Return Not IsNothing(m_refMachManaging)
   End Function

   Friend Function SetRefFeatureInPartInRawPartListVM(FeatureInPartInRawPartListVM As FeatureInPartInRawPartListVM) As Boolean
      m_refFeatureInPartInRawPartListVM = FeatureInPartInRawPartListVM
      Return Not IsNothing(m_refFeatureInPartInRawPartListVM)
   End Function

   Friend Function SetRefPartInRawPartListVM(PartInRawPartListVM As PartInRawPartListVM) As Boolean
      m_refPartInRawPartListVM = PartInRawPartListVM
      Return Not IsNothing(m_refPartInRawPartListVM)
   End Function

   Friend Function SetRefMDIPageVM(MDIPageVM As MDIPageVM) As Boolean
      m_refMDIPageVM = MDIPageVM
      Return Not IsNothing(m_refMDIPageVM)
   End Function

   Friend Function SetRefMachineLogPageVM(MachineLogPageVM As MachineLogPageVM) As Boolean
      m_refMachineLogPageVM = MachineLogPageVM
      Return Not IsNothing(m_refMachineLogPageVM)
   End Function

#End Region    ' Set

#Region "Init"

   Friend Function BeginInit(MainWindowVM As MainWindowVM) As Boolean
      m_refMainWindowVM = MainWindowVM
      Return Not IsNothing(m_refMainWindowVM)
   End Function
   Friend Function EndInit() As Boolean
      ' Verifico se tutti i pezzi necessari sono stati caricati
      'Return Not IsNothing(m_refMainWindowVM) AndAlso Not IsNothing(m_refProjectVM) AndAlso
      '       Not IsNothing(LibMap.refStatusBarVM) AndAlso Not IsNothing(m_refProjectManagerVM) AndAlso
      '       Not IsNothing(LibMap.refSceneHostVM) AndAlso Not IsNothing(LibMap.refShowPanelVM) AndAlso
      '       Not IsNothing(m_refVeinMatchPanelVM) AndAlso
      '       Not IsNothing(m_refOptionPanelVM) AndAlso Not IsNothing(m_refRawPartTabVM) AndAlso
      '       Not IsNothing(m_refNestingTabVM) AndAlso Not IsNothing(m_refSimulTabVM) AndAlso
      '       Not IsNothing(m_refMachiningTabVM) AndAlso
      '       LibMap.EndInit()
      Return Not IsNothing(m_refMainWindowVM) AndAlso 'Not IsNothing(m_refMainMenuVM) AndAlso
             Not IsNothing(LibMap.refStatusBarVM) AndAlso 'Not IsNothing(m_refProjManagerVM) AndAlso Not IsNothing(m_refProdManagerVM) AndAlso
             Not IsNothing(m_refConfigurationPageVM) AndAlso Not IsNothing(m_refFeatureInPartInRawPartListVM) AndAlso
             Not IsNothing(m_refPartInRawPartListVM) AndAlso Not IsNothing(m_refAxesPanelVM) AndAlso
             Not IsNothing(LibMap.refSceneHostVM) AndAlso Not IsNothing(LibMap.refShowPanelVM) AndAlso
             Not IsNothing(m_refMachinePanelVM) AndAlso Not IsNothing(LibMap.refMachGroupPanelVM) AndAlso
             Not IsNothing(m_refRawPartListVM) AndAlso Not IsNothing(m_refMDIPageVM) AndAlso 'Not IsNothing(m_refWarehouseWndVM) AndAlso Not IsNothing(m_refShowBeamPanelVM) AndAlso 
             Not IsNothing(m_refMachCommandMessagePanelVM) AndAlso Not IsNothing(m_refMachineLogPageVM) AndAlso LibMap.EndInit()
   End Function

#End Region    ' Init

End Module
